Skip to main content
GET
List an entity's accounts

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Path Parameters

id
string
required

Query Parameters

cursor
string

Opaque cursor for the next page of results

Example:

"workspace1-solana-BJE5MMbqXjVwjAF7oxwPYXnTXDyspzZyt4vwenNw5ruG"

size
number
default:50
Required range: 1 <= x <= 1000
Example:

50

group_id
string

Filter accounts by membership in a specific group (account_groups.id)

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

type
enum<string>
Available options:
eoa,
multisig,
contract,
custodian,
exchange,
bank,
defi
Example:

"bank"

provider
enum<string>

Filter to accounts held under a connection of this provider

Available options:
utila,
kraken,
binance,
okx,
bybit,
bitget,
gate,
kucoin,
plaid,
squads,
altitude,
coinbase,
realms,
wise,
safe,
hyperliquid,
cubist,
privy,
dfns,
anchorage,
revolut_business,
turnkey,
fordefi,
coins_ph,
fireblocks,
pave_bank,
copper,
custom
Example:

"utila"

chain
string

Canonical Range network slug, e.g. eth, bnb, solana. Known aliases (ethereum, binance, …) are normalized before filtering.

Example:

"eth"

connection_id
string
Example:

"utila-123"

show_all
boolean
default:false

Restores the response to today's unfiltered shape, byte-for-byte, ignoring the workspace token whitelist. Never mutates stored overrides.

Response

items
object[]
required
meta
object
required
Last modified on October 2, 2026